<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>propclass/region.h Source File (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">propclass/region.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    Crystal Space Entity Layer</span>
<a name="l00003"></a>00003 <span class="comment">    Copyright (C) 2001 by Jorrit Tyberghein</span>
<a name="l00004"></a>00004 <span class="comment"></span>
<a name="l00005"></a>00005 <span class="comment">    This library is free software; you can redistribute it and/or</span>
<a name="l00006"></a>00006 <span class="comment">    modify it under the terms of the GNU Library General Public</span>
<a name="l00007"></a>00007 <span class="comment">    License as published by the Free Software Foundation; either</span>
<a name="l00008"></a>00008 <span class="comment">    version 2 of the License, or (at your option) any later version.</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">    This library is distributed in the hope that it will be useful,</span>
<a name="l00011"></a>00011 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00012"></a>00012 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span>
<a name="l00013"></a>00013 <span class="comment">    Library General Public License for more details.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">    You should have received a copy of the GNU Library General Public</span>
<a name="l00016"></a>00016 <span class="comment">    License along with this library; if not, write to the Free</span>
<a name="l00017"></a>00017 <span class="comment">    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.</span>
<a name="l00018"></a>00018 <span class="comment">*/</span>
<a name="l00019"></a>00019 
<a name="l00020"></a>00020 <span class="preprocessor">#ifndef __CEL_PF_REGION__</span>
<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define __CEL_PF_REGION__</span>
<a name="l00022"></a>00022 <span class="preprocessor"></span>
<a name="l00023"></a>00023 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cstypes_8h.html">cstypes.h</a>&quot;</span>
<a name="l00024"></a>00024 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/vector3_8h.html">csgeom/vector3.h</a>&quot;</span>
<a name="l00025"></a>00025 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/scf_8h.html">csutil/scf.h</a>&quot;</span>
<a name="l00026"></a>00026 
<a name="l00027"></a>00027 <span class="keyword">struct </span><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a>;
<a name="l00028"></a>00028 <span class="keyword">struct </span><a class="code" href="structiPcCamera.html" title="The representation of a camera.">iPcCamera</a>;
<a name="l00029"></a>00029 <span class="keyword">struct </span><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiCollection.html">iCollection</a>;
<a name="l00030"></a>00030 
<a name="l00044"></a><a class="code" href="structiPcRegion.html">00044</a> <span class="keyword">struct </span><a class="code" href="structiPcRegion.html" title="The representation of a region.">iPcRegion</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00045"></a>00045 {
<a name="l00046"></a>00046   SCF_INTERFACE (<a class="code" href="structiPcRegion.html" title="The representation of a region.">iPcRegion</a>, 0, 1, 1);
<a name="l00047"></a>00047 
<a name="l00051"></a>00051   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcRegion.html#ae7d0738d08587e19baac1546696aa502" title="Set the world file to use for this region.">SetWorldFile</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* vfsdir, <span class="keyword">const</span> <span class="keywordtype">char</span>* name) = 0;
<a name="l00055"></a>00055   <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structiPcRegion.html#ab130d1f6bbce4498635c6088086aea48" title="Get the world dir that is used for this region.">GetWorldDir</a> () <span class="keyword">const</span> = 0;
<a name="l00059"></a>00059   <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structiPcRegion.html#a880216f00e20482a4593b4dea8d8390a" title="Get the world file that is used for this region.">GetWorldFile</a> () <span class="keyword">const</span> = 0;
<a name="l00060"></a>00060 
<a name="l00064"></a>00064   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcRegion.html#a91d1834c1a84808c0da8cd9ca1ea65a6" title="Set the name of this region.">SetRegionName</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) = 0;
<a name="l00068"></a>00068   <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structiPcRegion.html#aa709315a55829d72c07a6949c94f71bd" title="Get the name of this region.">GetRegionName</a> () <span class="keyword">const</span> = 0;
<a name="l00069"></a>00069 
<a name="l00077"></a>00077   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcRegion.html#af666276f6cbd10d660307b1ffd384c1b" title="Create empty sector.">CreateEmptySector</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) = 0;
<a name="l00078"></a>00078 
<a name="l00083"></a>00083   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcRegion.html#a38d722d47aa6cb63b6b5116e90b18318" title="Load the region.">Load</a> () = 0;
<a name="l00084"></a>00084 
<a name="l00088"></a>00088   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcRegion.html#a4fafe3704fe7a30dd96fb65cb0019662" title="Unload the region.">Unload</a> () = 0;
<a name="l00089"></a>00089 
<a name="l00093"></a>00093   <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a>* <a class="code" href="structiPcRegion.html#a978b4a379ce4c3427c7d8edcada259ff" title="Returns a sector.">FindSector</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* sectorname) = 0;
<a name="l00094"></a>00094 
<a name="l00100"></a>00100   <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a>* <a class="code" href="structiPcRegion.html#aac3265303d4806c37488bd2be5da633f" title="Get start sector.">GetStartSector</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name = 0) = 0;
<a name="l00101"></a>00101 
<a name="l00107"></a>00107   <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> <a class="code" href="structiPcRegion.html#abcf1d25358a15077b87a5278d200062c" title="Get start position.">GetStartPosition</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name = 0) = 0;
<a name="l00108"></a>00108 
<a name="l00115"></a>00115   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcRegion.html#ad9df30c059dd303921b2d79ab5457f11" title="Update the given pccamera so that it points to the starting position in this region.">PointCamera</a> (<a class="code" href="structiPcCamera.html" title="The representation of a camera.">iPcCamera</a>* pccamera, <span class="keyword">const</span> <span class="keywordtype">char</span>* name = 0) = 0;
<a name="l00116"></a>00116 
<a name="l00121"></a>00121   <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiCollection.html">iCollection</a>* <a class="code" href="structiPcRegion.html#acef9fe3cc4090d7a5d02bb5e9eee13a7" title="Returns the CS collection associated to this propclass.">GetCollection</a>() = 0;
<a name="l00122"></a>00122 };
<a name="l00123"></a>00123 
<a name="l00124"></a>00124 <span class="preprocessor">#endif // __CEL_PF_REGION__</span>
<a name="l00125"></a>00125 <span class="preprocessor"></span>
</pre></div></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
